summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarkos Chandras <hwoarang@gentoo.org>2009-04-27 19:52:55 +0000
committerMarkos Chandras <hwoarang@gentoo.org>2009-04-27 19:52:55 +0000
commitadf7340a962ceebd0e4899cba1c9422aa2d5fc7f (patch)
tree26d41592b80bb03898b6fa4816e42f1b8f3e66e4 /x11-libs
parentBump. Thanks to Daniel Pielmeier for reminding me. Import some plnn-handling ... (diff)
downloadhistorical-adf7340a962ceebd0e4899cba1c9422aa2d5fc7f.tar.gz
historical-adf7340a962ceebd0e4899cba1c9422aa2d5fc7f.tar.bz2
historical-adf7340a962ceebd0e4899cba1c9422aa2d5fc7f.zip
Qt 4.5.1 release version bump
Package-Manager: portage-2.2_rc31/cvs/Linux x86_64
Diffstat (limited to 'x11-libs')
-rw-r--r--x11-libs/qt-assistant/ChangeLog8
-rw-r--r--x11-libs/qt-assistant/qt-assistant-4.5.1.ebuild53
-rw-r--r--x11-libs/qt-core/ChangeLog7
-rw-r--r--x11-libs/qt-core/qt-core-4.5.1.ebuild203
-rw-r--r--x11-libs/qt-dbus/ChangeLog7
-rw-r--r--x11-libs/qt-dbus/qt-dbus-4.5.1.ebuild36
-rw-r--r--x11-libs/qt-gui/ChangeLog7
-rw-r--r--x11-libs/qt-gui/qt-gui-4.5.1.ebuild159
-rw-r--r--x11-libs/qt-opengl/ChangeLog8
-rw-r--r--x11-libs/qt-opengl/qt-opengl-4.5.1.ebuild39
-rw-r--r--x11-libs/qt-phonon/ChangeLog8
-rw-r--r--x11-libs/qt-phonon/qt-phonon-4.5.1.ebuild44
-rw-r--r--x11-libs/qt-qt3support/ChangeLog8
-rw-r--r--x11-libs/qt-qt3support/qt-qt3support-4.5.1.ebuild37
-rw-r--r--x11-libs/qt-script/ChangeLog8
-rw-r--r--x11-libs/qt-script/qt-script-4.5.1.ebuild31
-rw-r--r--x11-libs/qt-sql/ChangeLog7
-rw-r--r--x11-libs/qt-sql/qt-sql-4.5.1.ebuild68
-rw-r--r--x11-libs/qt-svg/ChangeLog8
-rw-r--r--x11-libs/qt-svg/files/0279-svg-rendering-4.5.1-regression.diff26
-rw-r--r--x11-libs/qt-svg/qt-svg-4.5.1-r1.ebuild48
-rw-r--r--x11-libs/qt-test/ChangeLog7
-rw-r--r--x11-libs/qt-test/qt-test-4.5.1.ebuild30
-rw-r--r--x11-libs/qt-webkit/ChangeLog8
-rw-r--r--x11-libs/qt-webkit/qt-webkit-4.5.1.ebuild34
-rw-r--r--x11-libs/qt-xmlpatterns/ChangeLog8
-rw-r--r--x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.1.ebuild30
-rw-r--r--x11-libs/qt/ChangeLog7
-rw-r--r--x11-libs/qt/qt-4.5.1.ebuild37
29 files changed, 967 insertions, 14 deletions
diff --git a/x11-libs/qt-assistant/ChangeLog b/x11-libs/qt-assistant/ChangeLog
index 8643ff35a7b3..74dcad7b914c 100644
--- a/x11-libs/qt-assistant/ChangeLog
+++ b/x11-libs/qt-assistant/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-assistant
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.34 2009/04/14 12:35:47 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/ChangeLog,v 1.35 2009/04/27 19:41:45 hwoarang Exp $
+
+*qt-assistant-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-assistant-4.5.1.ebuild:
+ Version bump to 4.5.1
*qt-assistant-4.5.0-r1 (14 Apr 2009)
diff --git a/x11-libs/qt-assistant/qt-assistant-4.5.1.ebuild b/x11-libs/qt-assistant/qt-assistant-4.5.1.ebuild
new file mode 100644
index 000000000000..6f1d4f5cce0d
--- /dev/null
+++ b/x11-libs/qt-assistant/qt-assistant-4.5.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-assistant/qt-assistant-4.5.1.ebuild,v 1.1 2009/04/27 19:41:45 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The assistant help module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]
+ ~x11-libs/qt-sql-${PV}[debug=,sqlite]
+ ~x11-libs/qt-webkit-${PV}[debug=]"
+RDEPEND="${DEPEND} !<x11-libs/qt-4.4.0:4"
+
+# Pixeltool isn't really assistant related, but it relies on
+# the assistant libraries. And qdoc3 is needed by qt-creator...
+QT4_TARGET_DIRECTORIES="tools/assistant tools/pixeltool tools/qdoc3"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/3rdparty/clucene/
+tools/shared/fontpanel
+include/
+src/
+doc/"
+
+src_configure() {
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-qt3support -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
+
+src_install() {
+ qt4-build_src_install
+ insinto ${QTDOCDIR}
+ doins -r "${S}"/doc/qch/ || die "Installing qch documentation failed"
+ dobin "${S}"/tools/qdoc3/qdoc3 || die "Installing qdoc3 failed"
+
+ # install correct assistant icon, bug 241208
+ dodir /usr/share/pixmaps/ || die "dodir failed"
+ insinto /usr/share/pixmaps/ || die "insinto failed"
+ doins tools/assistant/tools/assistant/images/assistant.png \
+ || die "doins failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/assistant Assistant \
+ /usr/share/pixmaps/assistant.png 'Qt;Development;GUIDesigner' \
+ || die "make_desktop_entry failed"
+}
diff --git a/x11-libs/qt-core/ChangeLog b/x11-libs/qt-core/ChangeLog
index 1ddd04dd68ec..21352921fa6c 100644
--- a/x11-libs/qt-core/ChangeLog
+++ b/x11-libs/qt-core/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-core
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.42 2009/04/15 12:16:37 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/ChangeLog,v 1.43 2009/04/27 19:42:35 hwoarang Exp $
+
+*qt-core-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org> +qt-core-4.5.1.ebuild:
+ Version bump to 4.5.1
15 Apr 2009; Brent Baude <ranger@gentoo.org> qt-core-4.4.2-r2.ebuild:
Marking qt-core-4.4.2-r2 ppc64 for bug 263945
diff --git a/x11-libs/qt-core/qt-core-4.5.1.ebuild b/x11-libs/qt-core/qt-core-4.5.1.ebuild
new file mode 100644
index 000000000000..22d27fd2e167
--- /dev/null
+++ b/x11-libs/qt-core/qt-core-4.5.1.ebuild
@@ -0,0 +1,203 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-core/qt-core-4.5.1.ebuild,v 1.1 2009/04/27 19:42:35 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="doc +glib +iconv +qt3support +ssl"
+
+RDEPEND="sys-libs/zlib
+ glib? ( dev-libs/glib )
+ ssl? ( dev-libs/openssl )
+ !<x11-libs/qt-4.4.0:4"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+PDEPEND="qt3support? ( ~x11-libs/qt-gui-${PV}[qt3support] )"
+
+QT4_TARGET_DIRECTORIES="
+src/tools/bootstrap
+src/tools/moc/
+src/tools/rcc/
+src/tools/uic/
+src/corelib/
+src/xml/
+src/network/
+src/plugins/codecs/"
+
+# Most ebuilds inlude almost everything for testing
+# Will clear out unneeded directories after everything else works OK
+QT4_EXTRACT_DIRECTORIES="
+include/Qt/
+include/QtCore/
+include/QtNetwork/
+include/QtScript/
+include/QtXml/
+src/plugins/plugins.pro
+src/plugins/qpluginbase.pri
+src/src.pro
+src/3rdparty/des/
+src/3rdparty/harfbuzz/
+src/3rdparty/md4/
+src/3rdparty/md5/
+src/3rdparty/sha1/
+src/script/
+translations/"
+
+pkg_setup() {
+ qt4-build_pkg_setup
+
+ if has_version x11-libs/qt-core; then
+ # Check to see if they've changed the glib flag since the last time installing this package.
+
+ if use glib && ! built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ elif ! use glib && built_with_use x11-libs/qt-core glib && has_version x11-libs/qt-gui; then
+ ewarn "You have changed the \"glib\" use flag since the last time you have emerged this package."
+ ewarn "You should also re-emerge x11-libs/qt-gui in order for it to pick up this change."
+ fi
+
+ # Check to see if they've changed the qt3support flag since the last time installing this package.
+ # If so, give a list of packages they need to uninstall first.
+
+ if use qt3support && ! built_with_use x11-libs/qt-core qt3support; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ elif ! use qt3support && built_with_use x11-libs/qt-core qt3support ; then
+ local need_to_remove
+ ewarn "You have changed the \"qt3support\" use flag since the last time you have emerged this package."
+ for x in sql opengl gui qt3support; do
+ local pkg="x11-libs/qt-${x}"
+ if has_version $pkg; then
+ need_to_remove="${need_to_remove} ${pkg}"
+ fi
+ done
+ if [[ -n ${need_to_remove} ]]; then
+ die "You must first uninstall these packages before continuing: \n\t\t${need_to_remove}"
+ fi
+ fi
+ fi
+}
+
+src_unpack() {
+ if use doc; then
+ QT4_EXTRACT_DIRECTORIES="${QT4_EXTRACT_DIRECTORIES}
+ doc/"
+ QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ tools/qdoc3"
+ fi
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+ ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+
+ # Don't pre-strip, bug 235026
+ for i in kr jp cn tw ; do
+ echo "CONFIG+=nostrip" >> "${S}"/src/plugins/codecs/${i}/${i}.pro
+ done
+}
+
+src_prepare(){
+ qt4-build_src_prepare
+ # bug #172219
+ sed -i -e "s:CXXFLAGS.*=:CXXFLAGS=${CXXFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix CXXFLAGS failed"
+ sed -i -e "s:LFLAGS.*=:LFLAGS=${LDFLAGS} :" \
+ "${S}/qmake/Makefile.unix" || die "sed qmake/Makefile.unix LDFLAGS failed"
+}
+
+src_configure() {
+ unset QMAKESPEC
+
+ myconf="${myconf}
+ $(qt_use glib)
+ $(qt_use iconv)
+ $(qt_use ssl openssl)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-gif -no-libpng
+ -no-libmng -no-libjpeg -system-zlib -no-webkit -no-phonon -no-xmlpatterns
+ -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-opengl
+ -no-svg -no-gtkstyle"
+
+ if ! use doc; then
+ myconf="${myconf} -nomake docs"
+ fi
+
+ cp -f "${FILESDIR}"/moc.pro "${S}"/src/tools/moc/
+ cp -f "${FILESDIR}"/rcc.pro "${S}"/src/tools/rcc/
+ cp -f "${FILESDIR}"/uic.pro "${S}"/src/tools/uic/
+
+ qt4-build_src_configure
+}
+
+src_compile() {
+ # bug #259736
+ unset QMAKESPEC
+ qt4-build_src_compile
+}
+
+src_install() {
+ dobin "${S}"/bin/{qmake,moc,rcc,uic} || die "dobin failed."
+
+ install_directories src/{corelib,xml,network,plugins/codecs}
+
+ emake INSTALL_ROOT="${D}" install_mkspecs || die "emake install_mkspecs failed"
+
+ if use doc; then
+ emake INSTALL_ROOT="${D}" install_htmldocs || die "emake install_htmldocs failed."
+ fi
+
+ emake INSTALL_ROOT="${D}" install_translations || die "emake install_translations failed"
+
+ fix_library_files
+
+ # List all the multilib libdirs
+ local libdirs
+ for libdir in $(get_all_libdirs); do
+ libdirs="${libdirs}:/usr/${libdir}/qt4"
+ done
+
+ cat <<-EOF > "${T}/44qt4"
+ LDPATH=${libdirs:1}
+ EOF
+ doenvd "${T}/44qt4"
+
+ dodir /${QTDATADIR}/mkspecs/gentoo
+ mv "${D}"/${QTDATADIR}/mkspecs/qconfig.pri "${D}${QTDATADIR}"/mkspecs/gentoo || \
+ die "Failed to move qconfig.pri"
+
+ sed -i -e '2a#include <Gentoo/gentoo-qconfig.h>\n' \
+ "${D}${QTHEADERDIR}"/QtCore/qconfig.h \
+ "${D}${QTHEADERDIR}"/Qt/qconfig.h || die "sed for qconfig.h failed."
+
+ if use glib; then
+ QCONFIG_DEFINE="$(use glib && echo QT_GLIB)
+ $(use ssl && echo QT_OPENSSL)"
+ install_qconfigs
+ fi
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtCore}/{\
+qatomic_macosx.h,\
+qatomic_windows.h,\
+qatomic_windowsce.h,\
+qt_windows.h}
+
+ keepdir "${QTSYSCONFDIR}"
+}
diff --git a/x11-libs/qt-dbus/ChangeLog b/x11-libs/qt-dbus/ChangeLog
index 0f11dfc1d47d..9b7371c0ab44 100644
--- a/x11-libs/qt-dbus/ChangeLog
+++ b/x11-libs/qt-dbus/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-dbus
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.25 2009/03/18 22:22:32 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/ChangeLog,v 1.26 2009/04/27 19:43:25 hwoarang Exp $
+
+*qt-dbus-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org> +qt-dbus-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-dbus-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-dbus/qt-dbus-4.5.1.ebuild b/x11-libs/qt-dbus/qt-dbus-4.5.1.ebuild
new file mode 100644
index 000000000000..f6e61a9e84c0
--- /dev/null
+++ b/x11-libs/qt-dbus/qt-dbus-4.5.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-dbus/qt-dbus-4.5.1.ebuild,v 1.1 2009/04/27 19:43:25 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The DBus module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]
+ >=sys-apps/dbus-1.0.2"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/dbus
+tools/qdbus/qdbus
+tools/qdbus/qdbusxml2cpp
+tools/qdbus/qdbuscpp2xml"
+QCONFIG_ADD="dbus dbus-linked"
+QCONFIG_DEFINE="QT_DBUS"
+
+#FIXME: Check if these are still needed with the header package
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtDBus
+include/QtXml
+src/corelib
+src/xml"
+
+src_configure() {
+ myconf="${myconf} -dbus-linked"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-gui/ChangeLog b/x11-libs/qt-gui/ChangeLog
index 9c32a1c71bc8..5b5c285a6e1f 100644
--- a/x11-libs/qt-gui/ChangeLog
+++ b/x11-libs/qt-gui/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-gui
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.48 2009/04/22 11:06:12 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/ChangeLog,v 1.49 2009/04/27 19:44:18 hwoarang Exp $
+
+*qt-gui-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org> +qt-gui-4.5.1.ebuild:
+ Version bump to 4.5.1
*qt-gui-4.5.0-r2 (22 Apr 2009)
diff --git a/x11-libs/qt-gui/qt-gui-4.5.1.ebuild b/x11-libs/qt-gui/qt-gui-4.5.1.ebuild
new file mode 100644
index 000000000000..9e37bb0e05db
--- /dev/null
+++ b/x11-libs/qt-gui/qt-gui-4.5.1.ebuild
@@ -0,0 +1,159 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-gui/qt-gui-4.5.1.ebuild,v 1.1 2009/04/27 19:44:18 hwoarang Exp $
+
+EAPI="2"
+inherit eutils qt4-build
+
+DESCRIPTION="The GUI module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility cups +dbus +glib +gtkstyle mng nas nis raster tiff +qt3support xinerama"
+
+RDEPEND="media-libs/fontconfig
+ >=media-libs/freetype-2
+ media-libs/jpeg
+ media-libs/libpng
+ sys-libs/zlib
+ x11-libs/libXrandr
+ x11-libs/libXcursor
+ x11-libs/libXfont
+ x11-libs/libSM
+ x11-libs/libXi
+ ~x11-libs/qt-core-${PV}[debug=,glib=,qt3support=]
+ ~x11-libs/qt-script-${PV}[debug=]
+ cups? ( net-print/cups )
+ dbus? ( ~x11-libs/qt-dbus-${PV}[debug=] )
+ gtkstyle? ( x11-libs/gtk+:2 )
+ mng? ( >=media-libs/libmng-1.0.9 )
+ nas? ( >=media-libs/nas-1.5 )
+ tiff? ( media-libs/tiff )
+ xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+ xinerama? ( x11-proto/xineramaproto )
+ x11-proto/xextproto
+ x11-proto/inputproto"
+PDEPEND="qt3support? ( ~x11-libs/qt-qt3support-${PV}[debug=] )"
+
+QT4_TARGET_DIRECTORIES="
+src/gui
+src/scripttools/
+tools/designer
+tools/linguist
+src/plugins/imageformats/gif
+src/plugins/imageformats/ico
+src/plugins/imageformats/jpeg
+src/plugins/inputmethods"
+
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/shared/"
+
+pkg_setup() {
+ if use raster; then
+ ewarn "WARNING: You have enabled raster backend rendering engine."
+ ewarn "This is a new feature and may lead to composite problems"
+ ewarn "screen corruption and broken qt4 or kde4 applications. "
+ ewarn "If you encounter such problems please"
+ ewarn "remove 'raster' use flag and re-compile qt-gui before"
+ ewarn "filling a bug on gentoo bugzilla."
+ ebeep 5
+ fi
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ use dbus && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} tools/qdbus/qdbusviewer"
+ use mng && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/mng"
+ use tiff && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/imageformats/tiff"
+ use accessibility && QT4_TARGET_DIRECTORIES="${QT4_TARGET_DIRECTORIES} src/plugins/accessible/widgets"
+ QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES} ${QT4_EXTRACT_DIRECTORIES}"
+
+ qt4-build_src_unpack
+}
+
+src_prepare() {
+ qt4-build_src_prepare
+
+ # Don't build plugins this go around, because they depend on qt3support lib
+ sed -i -e "s:CONFIG(shared:# &:g" "${S}"/tools/designer/src/src.pro
+
+ # fixing hardcoded fonts, bug #252312
+ EPATCH_OPTS="--ignore-whitespace"
+ epatch "${FILESDIR}"/hardcoded_fonts.patch
+}
+
+src_configure() {
+ export PATH="${S}/bin:${PATH}"
+ export LD_LIBRARY_PATH="${S}/lib:${LD_LIBRARY_PATH}"
+
+ myconf="$(qt_use accessibility)
+ $(qt_use cups)
+ $(qt_use glib)
+ $(qt_use mng libmng system)
+ $(qt_use nis)
+ $(qt_use tiff libtiff system)
+ $(qt_use dbus qdbus)
+ $(qt_use qt3support)
+ $(qt_use gtkstyle)
+ $(qt_use xinerama)"
+
+ use nas && myconf="${myconf} -system-nas-sound"
+ use raster && myconf="${myconf} -graphicssystem raster"
+
+ myconf="${myconf} -qt-gif -system-libpng -system-libjpeg
+ -no-sql-mysql -no-sql-psql -no-sql-ibase -no-sql-sqlite -no-sql-sqlite2 -no-sql-odbc
+ -xrender -xrandr -xkb -xshape -sm -no-svg"
+
+ # Explictly don't compile these packages.
+ # Emerge "qt-webkit", "qt-phonon", etc for their functionality.
+ myconf="${myconf} -no-webkit -no-phonon -no-dbus -no-opengl"
+
+ qt4-build_src_configure
+}
+
+src_install() {
+ QCONFIG_ADD="x11sm xshape xcursor xfixes xrandr xrender xkb fontconfig
+ $(usev accessibility) $(usev xinerama) $(usev cups) $(usev nas)
+ gif png system-png system-jpeg
+ $(use mng && echo system-mng) $(use tiff && echo system-tiff)"
+ QCONFIG_REMOVE="no-gif no-png"
+ QCONFIG_DEFINE="$(use accessibility && echo QT_ACCESSIBILITY)
+ $(use cups && echo QT_CUPS) QT_FONTCONFIG QT_IMAGEFORMAT_JPEG
+ $(use mng && echo QT_IMAGEFORMAT_MNG) $(use nas && echo QT_NAS)
+ $(use nis && echo QT_NIS) QT_IMAGEFORMAT_PNG QT_SESSIONMANAGER QT_SHAPE
+ $(use tiff && echo QT_IMAGEFORMAT_TIFF) QT_XCURSOR
+ $(use xinerama && echo QT_XINERAMA) QT_XFIXES QT_XKB QT_XRANDR QT_XRENDER"
+
+ qt4-build_src_install
+
+ # remove some unnecessary headers
+ rm -f "${D}${QTHEADERDIR}"/{Qt,QtGui}/{qmacstyle_mac.h,qwindowdefs_win.h} \
+ "${D}${QTHEADERDIR}"/QtGui/QMacStyle
+
+ # qt-creator
+ # some qt-creator headers are located
+ # under /usr/include/qt4/QtDesigner/private.
+ # those headers are just includes of the headers
+ # which are located under tools/designer/src/lib/*
+ # So instead of installing both, we create the private folder
+ # and drop tools/designer/src/lib/* headers in it.
+ dodir /usr/include/qt4/QtDesigner/private/
+ insinto /usr/include/qt4/QtDesigner/private/
+ doins "${S}"/tools/designer/src/lib/shared/*
+ doins "${S}"/tools/designer/src/lib/sdk/*
+
+ # install correct designer and linguist icons, bug 241208
+ dodir /usr/share/pixmaps/ || die "dodir failed"
+ insinto /usr/share/pixmaps/ || die "insinto failed"
+ doins tools/linguist/linguist/images/icons/linguist-128-32.png \
+ tools/designer/src/designer/images/designer.png || die "doins failed"
+ # Note: absolute image path required here!
+ make_desktop_entry /usr/bin/linguist Linguist \
+ /usr/share/pixmaps/linguist-128-32.png 'Qt;Development;GUIDesigner' \
+ || die "make_desktop_entry failed"
+ make_desktop_entry /usr/bin/designer Designer \
+ /usr/share/pixmaps/designer.png 'Qt;Development;GUIDesigner' \
+ || die "make_desktop_entry failed"
+}
diff --git a/x11-libs/qt-opengl/ChangeLog b/x11-libs/qt-opengl/ChangeLog
index 549936b9c061..4028360eb6f8 100644
--- a/x11-libs/qt-opengl/ChangeLog
+++ b/x11-libs/qt-opengl/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-opengl
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.26 2009/03/18 22:24:02 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/ChangeLog,v 1.27 2009/04/27 19:45:10 hwoarang Exp $
+
+*qt-opengl-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-opengl-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-opengl-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-opengl/qt-opengl-4.5.1.ebuild b/x11-libs/qt-opengl/qt-opengl-4.5.1.ebuild
new file mode 100644
index 000000000000..224f5ba8bfab
--- /dev/null
+++ b/x11-libs/qt-opengl/qt-opengl-4.5.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-opengl/qt-opengl-4.5.1.ebuild,v 1.1 2009/04/27 19:45:10 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The OpenGL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+qt3support"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ ~x11-libs/qt-gui-${PV}[debug=,qt3support=]
+ virtual/opengl
+ virtual/glu"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/opengl"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtGui
+include/QtOpenGL
+src/corelib
+src/gui
+src/3rdparty"
+
+QCONFIG_ADD="opengl"
+QCONFIG_DEFINE="QT_OPENGL"
+
+src_configure() {
+ myconf="${myconf} -opengl
+ $(qt_use qt3support)"
+
+ qt4-build_src_configure
+
+ # Not building tools/designer/src/plugins/tools/view3d as it's
+ # commented out of the build in the source
+}
diff --git a/x11-libs/qt-phonon/ChangeLog b/x11-libs/qt-phonon/ChangeLog
index 1d2db299ee28..fbe2593b05e5 100644
--- a/x11-libs/qt-phonon/ChangeLog
+++ b/x11-libs/qt-phonon/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-phonon
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.26 2009/03/21 11:51:49 armin76 Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/ChangeLog,v 1.27 2009/04/27 19:45:59 hwoarang Exp $
+
+*qt-phonon-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-phonon-4.5.1.ebuild:
+ Version bump to 4.5.1
21 Mar 2009; Raúl Porcel <armin76@gentoo.org> qt-phonon-4.5.0.ebuild:
Re-add ~alpha/~ia64 since qt-webkit needs it
diff --git a/x11-libs/qt-phonon/qt-phonon-4.5.1.ebuild b/x11-libs/qt-phonon/qt-phonon-4.5.1.ebuild
new file mode 100644
index 000000000000..abd58175274e
--- /dev/null
+++ b/x11-libs/qt-phonon/qt-phonon-4.5.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-phonon/qt-phonon-4.5.1.ebuild,v 1.1 2009/04/27 19:45:59 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Phonon module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="+dbus"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=,glib,qt3support]
+ !kde-base/phonon-kde
+ !kde-base/phonon-xine
+ !media-sound/phonon
+ media-libs/gstreamer
+ media-libs/gst-plugins-base
+ dbus? ( =x11-libs/qt-dbus-${PV}[debug=] )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="
+src/phonon
+src/plugins/phonon"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/
+src"
+
+QCONFIG_ADD="phonon"
+QCONFIG_DEFINE="QT_GSTREAMER"
+
+src_configure() {
+ myconf="${myconf} -phonon -no-opengl -no-svg
+ $(qt_use dbus qdbus)"
+
+ qt4-build_src_configure
+}
+
+# bug 265586
+src_install() {
+ qt4-build_src_install
+ insinto ${QTHEADERDIR}
+ doins -r "${S}"/include/Phonon || die "failed to install Phonon headers"
+}
diff --git a/x11-libs/qt-qt3support/ChangeLog b/x11-libs/qt-qt3support/ChangeLog
index f7af1c3945f1..68e088e31df0 100644
--- a/x11-libs/qt-qt3support/ChangeLog
+++ b/x11-libs/qt-qt3support/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-qt3support
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.26 2009/03/18 22:27:30 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/ChangeLog,v 1.27 2009/04/27 19:46:50 hwoarang Exp $
+
+*qt-qt3support-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-qt3support-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-qt3support-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-qt3support/qt-qt3support-4.5.1.ebuild b/x11-libs/qt-qt3support/qt-qt3support-4.5.1.ebuild
new file mode 100644
index 000000000000..56e4adfc176f
--- /dev/null
+++ b/x11-libs/qt-qt3support/qt-qt3support-4.5.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-qt3support/qt-qt3support-4.5.1.ebuild,v 1.1 2009/04/27 19:46:50 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Qt3 support module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+accessibility phonon"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support]
+ ~x11-libs/qt-gui-${PV}[accessibility=,debug=,qt3support]
+ ~x11-libs/qt-sql-${PV}[debug=,qt3support]"
+RDEPEND="${DEPEND}"
+PDEPEND="phonon? (
+ || ( ~x11-libs/qt-phonon-${PV}[debug=] media-sound/phonon[gstreamer] ) )"
+
+QT4_TARGET_DIRECTORIES="
+src/qt3support
+src/tools/uic3
+tools/designer/src/plugins/widgets
+tools/qtconfig
+tools/porting"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+src/
+include/
+tools/"
+
+src_configure() {
+ myconf="${myconf} -qt3support
+ $(qt_use phonon gstreamer)
+ $(qt_use phonon)
+ $(qt_use accessibility)"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-script/ChangeLog b/x11-libs/qt-script/ChangeLog
index cdefb0eb869d..065a9d1eeb13 100644
--- a/x11-libs/qt-script/ChangeLog
+++ b/x11-libs/qt-script/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-script
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.28 2009/03/18 22:29:16 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/ChangeLog,v 1.29 2009/04/27 19:47:51 hwoarang Exp $
+
+*qt-script-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-script-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-script-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-script/qt-script-4.5.1.ebuild b/x11-libs/qt-script/qt-script-4.5.1.ebuild
new file mode 100644
index 000000000000..b4e24d79b924
--- /dev/null
+++ b/x11-libs/qt-script/qt-script-4.5.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-script/qt-script-4.5.1.ebuild,v 1.1 2009/04/27 19:47:51 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The ECMAScript module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/script/"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtScript/
+src/corelib/"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg -no-gtkstyle"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-sql/ChangeLog b/x11-libs/qt-sql/ChangeLog
index f1e7984601e4..c225be0d41cb 100644
--- a/x11-libs/qt-sql/ChangeLog
+++ b/x11-libs/qt-sql/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-sql
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.37 2009/04/15 12:19:24 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/ChangeLog,v 1.38 2009/04/27 19:48:44 hwoarang Exp $
+
+*qt-sql-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org> +qt-sql-4.5.1.ebuild:
+ Version bump to 4.5.1
15 Apr 2009; Brent Baude <ranger@gentoo.org> qt-sql-4.4.2-r1.ebuild:
Marking qt-sql-4.4.2-r1 ppc64 for bug 263945
diff --git a/x11-libs/qt-sql/qt-sql-4.5.1.ebuild b/x11-libs/qt-sql/qt-sql-4.5.1.ebuild
new file mode 100644
index 000000000000..90e2e8cc9498
--- /dev/null
+++ b/x11-libs/qt-sql/qt-sql-4.5.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-sql/qt-sql-4.5.1.ebuild,v 1.1 2009/04/27 19:48:44 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SQL module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="firebird +iconv mysql odbc postgres +qt3support +sqlite"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,qt3support=]
+ firebird? ( dev-db/firebird )
+ sqlite? ( dev-db/sqlite:3 )
+ mysql? ( virtual/mysql )
+ postgres? ( virtual/postgresql-base )
+ odbc? ( dev-db/unixODBC )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/sql src/plugins/sqldrivers"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/Qt/
+include/QtCore/
+include/QtSql/
+include/QtScript/
+src/src.pro
+src/corelib/
+src/plugins
+src/sql
+src/3rdparty
+src/tools"
+
+pkg_setup() {
+ if ! (use firebird || use mysql || use odbc || use postgres || use sqlite); then
+ ewarn "You need to enable at least one SQL driver. Enable at least"
+ ewarn "one of these USE flags: \"firebird mysql odbc postgres sqlite\""
+ die "Enable at least one SQL driver."
+ fi
+
+ qt4-build_pkg_setup
+}
+
+src_unpack() {
+ qt4-build_src_unpack
+
+ sed -e '/pg_config --libs/d' -i "${S}"/configure \
+ || die 'Sed to fix postgresql usage in ./configure failed.'
+}
+
+src_configure() {
+ # Don't support sqlite2 anymore
+ myconf="${myconf} -no-sql-sqlite2
+ $(qt_use mysql sql-mysql plugin) $(use mysql && echo "-I/usr/include/mysql -L/usr/$(get_libdir)/mysql ")
+ $(qt_use postgres sql-psql plugin) $(use postgres && echo "-I/usr/include/postgresql/pgsql ")
+ $(qt_use sqlite sql-sqlite plugin) $(use sqlite && echo '-system-sqlite')
+ $(qt_use odbc sql-odbc plugin)
+ $(qt_use qt3support)"
+
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig
+ -no-glib -no-opengl -no-svg -no-gtkstyle"
+
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-svg/ChangeLog b/x11-libs/qt-svg/ChangeLog
index fa568c80ab5d..4803b5d0b272 100644
--- a/x11-libs/qt-svg/ChangeLog
+++ b/x11-libs/qt-svg/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-svg
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.27 2009/03/18 22:32:37 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/ChangeLog,v 1.28 2009/04/27 19:49:35 hwoarang Exp $
+
+*qt-svg-4.5.1-r1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +files/0279-svg-rendering-4.5.1-regression.diff, +qt-svg-4.5.1-r1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-svg-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-svg/files/0279-svg-rendering-4.5.1-regression.diff b/x11-libs/qt-svg/files/0279-svg-rendering-4.5.1-regression.diff
new file mode 100644
index 000000000000..0ce074eb3255
--- /dev/null
+++ b/x11-libs/qt-svg/files/0279-svg-rendering-4.5.1-regression.diff
@@ -0,0 +1,26 @@
+qt-bugs@ issue : none (not yet)
+Qt Software task ID : none (not yet)
+bugs.kde.org number : 190485 (at least)
+applied: no
+author: Alexis Menard <alexis.menard@nokia.com>
+
+This patch fix the regression introduced in 4.5.1 with SVG rendering.
+The problem appear when a gradient reference an another gradient which is after
+in the svg.
+
+Please clear your plasma cache as well.
+
+This patch is already in 4.5 branch so it will be in 4.5.2.
+
+Index: src/svg/qsvgstyle.cpp
+===================================================================
+--- src/svg/qsvgstyle.cpp (revision 958572)
++++ src/svg/qsvgstyle.cpp (working copy)
+@@ -808,6 +808,7 @@
+ static_cast<QSvgGradientStyle*>(prop);
+ st->resolveStops();
+ m_gradient->setStops(st->qgradient()->stops());
++ m_gradientStopsSet = st->gradientStopsSet();
+ }
+ }
+ m_link = QString();
diff --git a/x11-libs/qt-svg/qt-svg-4.5.1-r1.ebuild b/x11-libs/qt-svg/qt-svg-4.5.1-r1.ebuild
new file mode 100644
index 000000000000..89c304a7d6b2
--- /dev/null
+++ b/x11-libs/qt-svg/qt-svg-4.5.1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-svg/qt-svg-4.5.1-r1.ebuild,v 1.1 2009/04/27 19:49:35 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The SVG module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+iconv"
+
+DEPEND="~x11-libs/qt-gui-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QCONFIG_ADD="svg"
+QCONFIG_DEFINE="QT_SVG"
+QT4_TARGET_DIRECTORIES="
+src/svg
+src/plugins/imageformats/svg
+src/plugins/iconengines/svgiconengine"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtSvg/
+include/Qt/
+include/QtGui/
+include/QtCore/
+include/QtXml/
+src/corelib/
+src/gui/
+src/plugins/
+src/xml
+src/3rdparty"
+
+src_prepare() {
+ qt4-build_src_prepare
+ epatch "${FILESDIR}/0279-svg-rendering-4.5.1-regression.diff"
+
+}
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -svg -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -v -no-fontconfig -no-glib -no-opengl -no-gtkstyle -continue"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-test/ChangeLog b/x11-libs/qt-test/ChangeLog
index d9141e971f8c..2b6ee437a998 100644
--- a/x11-libs/qt-test/ChangeLog
+++ b/x11-libs/qt-test/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt-test
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.27 2009/03/18 22:34:34 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/ChangeLog,v 1.28 2009/04/27 19:50:26 hwoarang Exp $
+
+*qt-test-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org> +qt-test-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-test-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-test/qt-test-4.5.1.ebuild b/x11-libs/qt-test/qt-test-4.5.1.ebuild
new file mode 100644
index 000000000000..995d40badf80
--- /dev/null
+++ b/x11-libs/qt-test/qt-test-4.5.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-test/qt-test-4.5.1.ebuild,v 1.1 2009/04/27 19:50:26 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The testing framework module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+iconv"
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/testlib"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtTest/
+include/QtCore/
+src/corelib/"
+
+src_configure() {
+ myconf="${myconf} $(qt_use iconv) -no-xkb -no-fontconfig -no-xrender -no-xrandr
+ -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl
+ -no-nas-sound -no-dbus -no-cups -no-nis -no-gif -no-libpng
+ -no-libmng -no-libjpeg -no-openssl -system-zlib -no-webkit -no-phonon
+ -no-qt3support -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility
+ -no-fontconfig -no-glib -no-opengl -no-svg"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-webkit/ChangeLog b/x11-libs/qt-webkit/ChangeLog
index 865cbf821d5f..6a9c4bbbb6ce 100644
--- a/x11-libs/qt-webkit/ChangeLog
+++ b/x11-libs/qt-webkit/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-webkit
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.31 2009/04/15 12:20:25 ranger Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/ChangeLog,v 1.32 2009/04/27 19:51:15 hwoarang Exp $
+
+*qt-webkit-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-webkit-4.5.1.ebuild:
+ Version bump to 4.5.1
15 Apr 2009; Brent Baude <ranger@gentoo.org> qt-webkit-4.4.2-r1.ebuild:
Marking qt-webkit-4.4.2-r1 ppc64 for bug 263945
diff --git a/x11-libs/qt-webkit/qt-webkit-4.5.1.ebuild b/x11-libs/qt-webkit/qt-webkit-4.5.1.ebuild
new file mode 100644
index 000000000000..42a7e619d6dd
--- /dev/null
+++ b/x11-libs/qt-webkit/qt-webkit-4.5.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-webkit/qt-webkit-4.5.1.ebuild,v 1.1 2009/04/27 19:51:15 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The Webkit module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=,ssl]
+ ~x11-libs/qt-gui-${PV}[debug=]
+ || ( ~x11-libs/qt-phonon-${PV}:${SLOT}[debug=] media-sound/phonon )"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview"
+QT4_EXTRACT_DIRECTORIES="
+include/
+src/
+tools/"
+QCONFIG_ADD="webkit"
+QCONFIG_DEFINE="QT_WEBKIT"
+
+src_prepare() {
+ [[ $(tc-arch) == "ppc64" ]] && append-flags -mminimal-toc #241900
+ qt4-build_src_prepare
+}
+
+src_configure() {
+ myconf="${myconf} -webkit"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt-xmlpatterns/ChangeLog b/x11-libs/qt-xmlpatterns/ChangeLog
index 2161b70bd2d4..6a032c3794a3 100644
--- a/x11-libs/qt-xmlpatterns/ChangeLog
+++ b/x11-libs/qt-xmlpatterns/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for x11-libs/qt-xmlpatterns
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.25 2009/03/18 22:38:07 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/ChangeLog,v 1.26 2009/04/27 19:52:04 hwoarang Exp $
+
+*qt-xmlpatterns-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org>
+ +qt-xmlpatterns-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org>
-qt-xmlpatterns-4.5.0_rc1.ebuild:
diff --git a/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.1.ebuild b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.1.ebuild
new file mode 100644
index 000000000000..ba374c806b2c
--- /dev/null
+++ b/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.5.1.ebuild,v 1.1 2009/04/27 19:52:04 hwoarang Exp $
+
+EAPI="2"
+inherit qt4-build
+
+DESCRIPTION="The patternist module for the Qt toolkit"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+DEPEND="~x11-libs/qt-core-${PV}[debug=]"
+RDEPEND="${DEPEND}"
+
+QT4_TARGET_DIRECTORIES="src/xmlpatterns tools/xmlpatterns"
+QT4_EXTRACT_DIRECTORIES="${QT4_TARGET_DIRECTORIES}
+include/QtCore
+include/QtNetwork
+include/QtXmlPatterns
+src/network/
+src/corelib/"
+
+QCONFIG_ADD="xmlpatterns"
+QCONFIG_DEFINE="QT_XMLPATTERNS"
+
+src_configure() {
+ myconf="${myconf} -xmlpatterns"
+ qt4-build_src_configure
+}
diff --git a/x11-libs/qt/ChangeLog b/x11-libs/qt/ChangeLog
index 7ba584098f27..a73fd802c67c 100644
--- a/x11-libs/qt/ChangeLog
+++ b/x11-libs/qt/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for x11-libs/qt
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/ChangeLog,v 1.570 2009/03/18 23:03:52 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/ChangeLog,v 1.571 2009/04/27 19:52:55 hwoarang Exp $
+
+*qt-4.5.1 (27 Apr 2009)
+
+ 27 Apr 2009; Markos Chandras <hwoarang@gentoo.org> +qt-4.5.1.ebuild:
+ Version bump to 4.5.1
18 Mar 2009; Markos Chandras <hwoarang@gentoo.org> metadata.xml:
Removing obsolete use flag definitions from metadata.xml
diff --git a/x11-libs/qt/qt-4.5.1.ebuild b/x11-libs/qt/qt-4.5.1.ebuild
new file mode 100644
index 000000000000..f3d3b7e815fe
--- /dev/null
+++ b/x11-libs/qt/qt-4.5.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/qt/qt-4.5.1.ebuild,v 1.1 2009/04/27 19:52:55 hwoarang Exp $
+
+EAPI=2
+DESCRIPTION="The Qt toolkit is a comprehensive C++ application development framework"
+HOMEPAGE="http://www.qtsoftware.com/"
+
+LICENSE="|| ( LGPL-2.1 GPL-3 )"
+SLOT="4"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 -sparc ~x86"
+IUSE="+dbus opengl +qt3support"
+
+DEPEND=""
+RDEPEND="~x11-libs/qt-core-${PV}
+ ~x11-libs/qt-gui-${PV}
+ ~x11-libs/qt-svg-${PV}
+ ~x11-libs/qt-sql-${PV}
+ ~x11-libs/qt-script-${PV}
+ ~x11-libs/qt-xmlpatterns-${PV}
+ dbus? ( ~x11-libs/qt-dbus-${PV} )
+ opengl? ( ~x11-libs/qt-opengl-${PV} )
+ || ( ~x11-libs/qt-phonon-${PV} media-sound/phonon )
+ qt3support? ( ~x11-libs/qt-qt3support-${PV} )
+ ~x11-libs/qt-webkit-${PV}
+ ~x11-libs/qt-test-${PV}
+ ~x11-libs/qt-assistant-${PV}"
+
+pkg_postinst() {
+ echo
+ elog "Please note that this meta package is only provided for convenience."
+ elog "No packages should depend directly on this meta package, but on the"
+ elog "specific split Qt packages needed. This ebuild will be removed in"
+ elog "future versions. Users that want all Qt components installed are"
+ elog "advised to use the set currently available in qting-edge overlay."
+ echo
+}